Application.boot(:s3_access) do
  start do
    use :logger

    register :s3_access do
      runtime = Application["runtime"]
      if runtime.sandbox?
        Application["logger"].warn { "sandbox mode - initializing mock S3" }
        require "cht-svc-containers-cp/mocks/s3_access"
        ContainersCp::Mocks::S3Access.new
      else
        require "cht-svc-containers-cp/s3_access"
        ContainersCp::S3Access.new
      end
    end
  end
end
