# frozen_string_literal: true

Application.boot(:wavefront, from: :platform) do
  configure do |config|
    settings = container[:settings]
    config.wf_host = settings.wf_host
    config.wf_port = settings.wf_port
    config.namespace = "#{SERVICE_NAME}.#{SERVICE_TASK}"
  end
end

# register statsd as wrapper using WF configured above
Application.boot(:statsd) do
  start do
    register :statsd do
      require "containers_cp/metrics/statsd_wf_wrapper"
      wf = Application["wavefront"]
      ::ContainersCp::Metrics::StatsdWfWrapper.new(wf, SERVICE_NAME)
    end
  end
end
