# frozen_string_literal: true

require "dry/system/container"
require "dry/system/components"
require "cht-lib-fabric/components"

class Application < ::Dry::System::Container
  use(:env, inferrer: -> { (ENV["RACK_ENV"] || "development").to_sym })

  configure do |config|
    config.name = SERVICE_NAME
    config.auto_register = %w[app lib]
  end
  load_paths!("app", "lib")

  %i[alert graphql i18n logger].each { |c| boot(c, from: :platform) }
end
